package com.theitbulls.tablayoutex;

import android.os.Bundle;

import androidx.annotation.Nullable;
import androidx.appcompat.app.AppCompatActivity;
import androidx.fragment.app.FragmentStatePagerAdapter;
import androidx.viewpager.widget.ViewPager;

import com.google.android.material.tabs.TabLayout;
import com.theitbulls.tablayoutex.fragments.DemoFragment;
import com.theitbulls.tablayoutex.fragments.HomeFragment;
import com.theitbulls.tablayoutex.fragments.ListFragment;
import com.theitbulls.tablayoutex.fragments.ProfileFragment;

public class TabLayoutActivity extends AppCompatActivity {
    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.tablayout_activity);
        TabLayout tabLayout = findViewById(R.id.tabLayout);

        ViewPager viewPager = findViewById(R.id.viewPager);
        tabLayout.setupWithViewPager(viewPager, true);

        TabAdapter tabAdapter = new TabAdapter(getSupportFragmentManager(), FragmentStatePagerAdapter.BEHAVIOR_RESUME_ONLY_CURRENT_FRAGMENT);
        tabAdapter.addFragment(new HomeFragment(), "Home");
        tabAdapter.addFragment(new ProfileFragment(), "Profile");
        tabAdapter.addFragment(new ListFragment(), "List");
        tabAdapter.addFragment(new DemoFragment(), "Demo");
        viewPager.setAdapter(tabAdapter);
    }
}
